zenilib: zenilib/jni/external/freetype2/include/freetype/internal/services/svpsinfo.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Typedefs | Functions
svpsinfo.h File Reference
`#include <FT_INTERNAL_SERVICE_H>`
`#include <FT_INTERNAL_TYPE1_TYPES_H>`

Go to the source code of this file.

## Macros

#define | FT_DEFINE_SERVICE_PSINFOREC(class_,get_font_info_,ps_get_font_extra_,has_glyph_names_,get_font_private_,get_font_value_)
#define | FT_SERVICE_ID_POSTSCRIPT_INFO "postscript-info"

## Typedefs

typedef FT_Error(* | PS_GetFontExtraFunc )(FT_Face face, PS_FontExtraRec *afont_extra)
typedef FT_Error(* | PS_GetFontInfoFunc )(FT_Face face, PS_FontInfoRec *afont_info)
typedef FT_Error(* | PS_GetFontPrivateFunc )(FT_Face face, PS_PrivateRec *afont_private)
typedef FT_Long(* | PS_GetFontValueFunc )(FT_Face face, PS_Dict_Keys key, FT_UInt idx, void *value, FT_Long value_len)
typedef FT_Int(* | PS_HasGlyphNamesFunc )(FT_Face face)

## Functions

| FT_DEFINE_SERVICE (PsInfo)

## Macro Definition Documentation

#define FT_DEFINE_SERVICE_PSINFOREC | ( |  | class_,
|  |  | get_font_info_,
|  |  | ps_get_font_extra_,
|  |  | has_glyph_names_,
|  |  | get_font_private_,
|  |  | get_font_value_
| ) |  |

Value:
static const FT_Service_PsInfoRec class_ = \
{ \
get_font_info_, ps_get_font_extra_, has_glyph_names_, \
get_font_private_, get_font_value_ \
};

Definition at line 67 of file svpsinfo.h.

#define FT_SERVICE_ID_POSTSCRIPT_INFO "postscript-info"

Definition at line 29 of file svpsinfo.h.

## Typedef Documentation

typedef FT_Error(* PS_GetFontExtraFunc)(FT_Face face, PS_FontExtraRec *afont_extra)

Definition at line 37 of file svpsinfo.h.

typedef FT_Error(* PS_GetFontInfoFunc)(FT_Face face, PS_FontInfoRec *afont_info)

Definition at line 33 of file svpsinfo.h.

typedef FT_Error(* PS_GetFontPrivateFunc)(FT_Face face, PS_PrivateRec *afont_private)

Definition at line 44 of file svpsinfo.h.

typedef FT_Long(* PS_GetFontValueFunc)(FT_Face face, PS_Dict_Keys key, FT_UInt idx, void *value, FT_Long value_len)

Definition at line 48 of file svpsinfo.h.

typedef FT_Int(* PS_HasGlyphNamesFunc)(FT_Face face)

Definition at line 41 of file svpsinfo.h.

## Function Documentation

FT_DEFINE_SERVICE | ( | PsInfo |  | ) |

Definition at line 55 of file svpsinfo.h.